apiVersion: "operator.nevis-security.ch/v1"
kind: "NevisComponent"
metadata:
  name: "ob-proxy-v1"
  namespace: "adn-agov-nevisidm-ob-01-uat"
  labels:
    deploymentTarget: "ob-proxy-v1"
  annotations:
    projectKey: "DEFAULT-ADN-AGOV-WORK-OB-PROJECT"
    patternId: "b4d2da2fa2d0b060752a1fe2"
spec:
  type: "NevisProxy"
  replicas: 1
  version: "8.2505.5"
  gitInitVersion: "1.4.0"
  runAsNonRoot: true
  ports:
    management: 11080
    https: 8443
  resources:
    limits:
      cpu: "1000m"
      memory: "1000Mi"
    requests:
      cpu: "20m"
      memory: "100Mi"
  livenessProbe:
    management:
      httpGet:
        path: "/liveness"
      periodSeconds: 5
      timeoutSeconds: 6
  readinessProbe:
    management:
      httpGet:
        path: "/readiness"
      periodSeconds: 5
      timeoutSeconds: 6
  startupProbe:
    management:
      httpGet:
        path: "/readiness"
      initialDelaySeconds: 20
      periodSeconds: 5
      timeoutSeconds: 6
      failureThreshold: 30
  podDisruptionBudget:
    maxUnavailable: "50%"
  git:
    tag: "r-9db0a6779095a2ef39a954e96631aac9365d3b9b"
    dir: "DEFAULT-ADN-AGOV-WORK-OB-PROJECT/DEFAULT-DEFAULT-ADN-AGOV-OB-INV/ob-proxy-v1"
    credentials: "git-credentials"
  keystores:
  - "ob-proxy-v1-346a2bebb04a0b74c7c9b5b9"
  - "ob-proxy-v1-ob-mock-me-realm-identity"
  - "ob-proxy-v1-ob-realm-identity"
  truststores:
  - "ob-proxy-v1-ob-realm-tls-trust"
  - "ob-proxy-v1-ob-realm-signer-trust"
  - "ob-proxy-v1-ob-mock-me-realm-tls-trust"
  - "ob-proxy-v1-ob-mock-me-realm-signer-trust"
  - "ob-proxy-v1-agov-work-internal-trust-store"
  ingresses:
  - "ob-proxy-v1"
  podSecurity:
    policy: "baseline"
    automountServiceAccountToken: false
  timeZone: "Europe/Zurich"
